Index: modules/m_motd.c
===================================================================
--- modules/m_motd.c	(.../1.0.1)	(revision 183)
+++ modules/m_motd.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_motd.c 589 2006-05-08 18:40:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_motd.c 589 2006-05-08 18:40:00Z michael $
  */
 
 #include "stdinc.h"
@@ -54,7 +55,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 589 $";
+const char *_version = "$Revision$";
 static struct Callback *motd_cb;
 
 static void *

Index: modules/m_names.c
===================================================================
--- modules/m_names.c	(.../1.0.1)	(revision 183)
+++ modules/m_names.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_names.c 632 2006-06-01 10:53:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_names.c 632 2006-06-01 10:53:00Z michael $
  */
 
 #include "stdinc.h"
@@ -67,7 +68,7 @@
   mod_del_cmd(&names_msgtab);
 }
 
-const char *_version = "$Revision: 632 $";
+const char *_version = "$Revision$";
 #endif
 
 /************************************************************************

Index: modules/m_drop.c
===================================================================
--- modules/m_drop.c	(.../1.0.1)	(revision 183)
+++ modules/m_drop.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_drop.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_drop.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -60,7 +61,7 @@
   mod_del_cmd(&drop_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 /*
 ** ms_drop

Index: modules/m_svinfo.c
===================================================================
--- modules/m_svinfo.c	(.../1.0.1)	(revision 183)
+++ modules/m_svinfo.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_svinfo.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_svinfo.c 33 2005-10-02 20:50:00Z knight $
  */
 #include "stdinc.h"
 #include "handlers.h"
@@ -56,7 +57,7 @@
   mod_del_cmd(&svinfo_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 /*
  * ms_svinfo - SVINFO message handler

Index: modules/m_eob.c
===================================================================
--- modules/m_eob.c	(.../1.0.1)	(revision 183)
+++ modules/m_eob.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_eob.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_eob.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -54,7 +55,7 @@
   mod_del_cmd(&eob_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_list.c
===================================================================
--- modules/m_list.c	(.../1.0.1)	(revision 183)
+++ modules/m_list.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_list.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_list.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -67,7 +68,7 @@
   delete_isupport("SAFELIST");
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 static int

Index: modules/m_cryptlink.c
===================================================================
--- modules/m_cryptlink.c	(.../1.0.1)	(revision 183)
+++ modules/m_cryptlink.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_cryptlink.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_cryptlink.c 33 2005-10-02 20:50:00Z knight $
  */
 
 /*
@@ -95,7 +96,7 @@
   mod_del_cmd(&cryptlink_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/m_challenge.c
===================================================================
--- modules/m_challenge.c	(.../1.0.1)	(revision 183)
+++ modules/m_challenge.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_challenge.c 817 2006-09-10 17:45:31Z michael $
+ *  $Id$
+ *  $Hybrid: m_challenge.c 817 2006-09-10 17:45:31Z michael $
  */
 
 #include "stdinc.h"
@@ -61,7 +62,7 @@
   mod_del_cmd(&challenge_msgtab);
 }
 
-const char *_version = "$Revision: 817 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_tburst.c
===================================================================
--- modules/m_tburst.c	(.../1.0.1)	(revision 183)
+++ modules/m_tburst.c	(.../1.0.2)	(revision 183)
@@ -25,7 +25,8 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_tburst.c 395 2006-02-03 17:39:45Z michael $
+ *  $Id$
+ *  $Hybrid: m_tburst.c 395 2006-02-03 17:39:45Z michael $
  */
 
 #include "stdinc.h"
@@ -77,7 +78,7 @@
   delete_capability("TBURST");
 }
 
-const char *_version = "$Revision: 122 $";
+const char *_version = "$Revision$";
 
 #endif /* !STATIC_MODULES */
 

Index: modules/m_restart.c
===================================================================
--- modules/m_restart.c	(.../1.0.1)	(revision 183)
+++ modules/m_restart.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_restart.c 588 2006-05-08 13:22:59Z michael $
+ *  $Id$
+ *  $Hybrid: m_restart.c 588 2006-05-08 13:22:59Z michael $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&restart_msgtab);
 }
 
-const char *_version = "$Revision: 588 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_version.c
===================================================================
--- modules/m_version.c	(.../1.0.1)	(revision 183)
+++ modules/m_version.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_version.c 269 2005-11-14 19:39:09Z adx $
+ *  $Id$
+ *  $Hybrid: m_version.c 269 2005-11-14 19:39:09Z adx $
  */
 
 #include "stdinc.h"
@@ -73,7 +74,7 @@
   mod_del_cmd(&version_msgtab);
 }
 
-const char *_version = "$Revision: 269 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_post.c
===================================================================
--- modules/m_post.c	(.../1.0.1)	(revision 183)
+++ modules/m_post.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_post.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_post.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -69,7 +70,7 @@
   mod_del_cmd(&put_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_encap.c
===================================================================
--- modules/m_encap.c	(.../1.0.1)	(revision 183)
+++ modules/m_encap.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_encap.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_encap.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -54,7 +55,7 @@
   mod_del_cmd(&encap_msgtab);
   delete_capability("ENCAP");
 }
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_connect.c
===================================================================
--- modules/m_connect.c	(.../1.0.1)	(revision 183)
+++ modules/m_connect.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_connect.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_connect.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -60,7 +61,7 @@
   mod_del_cmd(&connect_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_killhost.c
===================================================================
--- modules/m_killhost.c	(.../1.0.1)	(revision 183)
+++ modules/m_killhost.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_killhost.c 620 2006-05-24 18:54:19Z michael $
+ *  $Id$
+ *  $Hybrid: m_killhost.c 620 2006-05-24 18:54:19Z michael $
  *
  */
 
@@ -64,7 +65,7 @@
   mod_del_cmd(&killhost_msgtab);
 }
 
-const char *_version = "$Revision: 620 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_killhost()

Index: modules/m_invite.c
===================================================================
--- modules/m_invite.c	(.../1.0.1)	(revision 183)
+++ modules/m_invite.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_invite.c 322 2005-12-24 22:04:58Z michael $
+ *  $Id$
+ *  $Hybrid: m_invite.c 322 2005-12-24 22:04:58Z michael $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&invite_msgtab);
 }
 
-const char *_version = "$Revision: 322 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_accept.c
===================================================================
--- modules/m_accept.c	(.../1.0.1)	(revision 183)
+++ modules/m_accept.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_accept.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_accept.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&accept_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_locops.c
===================================================================
--- modules/m_locops.c	(.../1.0.1)	(revision 183)
+++ modules/m_locops.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_locops.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_locops.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -58,7 +59,7 @@
   mod_del_cmd(&locops_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_away.c
===================================================================
--- modules/m_away.c	(.../1.0.1)	(revision 183)
+++ modules/m_away.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_away.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_away.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -61,7 +62,7 @@
   delete_isupport("AWAYLEN");
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /***********************************************************************

Index: modules/m_cburst.c
===================================================================
--- modules/m_cburst.c	(.../1.0.1)	(revision 183)
+++ modules/m_cburst.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_cburst.c 632 2006-06-01 10:53:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_cburst.c 632 2006-06-01 10:53:00Z michael $
  */
 
 #include "stdinc.h"
@@ -60,7 +61,7 @@
   mod_del_cmd(&cburst_msgtab);
 }
 
-const char *_version = "$Revision: 632 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_etrace.c
===================================================================
--- modules/m_etrace.c	(.../1.0.1)	(revision 183)
+++ modules/m_etrace.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_etrace.c 856 2007-02-27 02:58:49Z db $
+ *  $Id$
+ *  $Hybrid: m_etrace.c 856 2007-02-27 02:58:49Z db $
  */
 
 #include "stdinc.h"
@@ -54,7 +55,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 856 $";
+const char *_version = "$Revision$";
 static struct Callback *etrace_cb;
 
 static void *

Index: modules/m_knock.c
===================================================================
--- modules/m_knock.c	(.../1.0.1)	(revision 183)
+++ modules/m_knock.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_knock.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_knock.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -84,7 +85,7 @@
   delete_isupport("KNOCK");
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* m_knock

Index: modules/m_oper.c
===================================================================
--- modules/m_oper.c	(.../1.0.1)	(revision 183)
+++ modules/m_oper.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_oper.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_oper.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -64,7 +65,7 @@
   mod_del_cmd(&oper_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_ison.c
===================================================================
--- modules/m_ison.c	(.../1.0.1)	(revision 183)
+++ modules/m_ison.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ison.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_ison.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
 {
   mod_del_cmd(&ison_msgtab);
 }
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/m_ojoin.c
===================================================================
--- modules/m_ojoin.c	(.../1.0.1)	(revision 183)
+++ modules/m_ojoin.c	(.../1.0.2)	(revision 183)
@@ -20,6 +20,7 @@
  *  USA
  *
  *  $Id$
+ *  $Hybrid: m_ojoin.c 75 2008-03-07 04:34:30Z srees $
  */
 
 #include "stdinc.h"

Index: modules/m_omotd.c
===================================================================
--- modules/m_omotd.c	(.../1.0.1)	(revision 183)
+++ modules/m_omotd.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_omotd.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_omotd.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&omotd_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* m_omotd()

Index: modules/m_rkline.c
===================================================================
--- modules/m_rkline.c	(.../1.0.1)	(revision 183)
+++ modules/m_rkline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_rkline.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_rkline.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -89,7 +90,7 @@
   mod_del_cmd(&unrkline_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_rkline()

Index: modules/m_operwall.c
===================================================================
--- modules/m_operwall.c	(.../1.0.1)	(revision 183)
+++ modules/m_operwall.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_operwall.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_operwall.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -64,7 +65,7 @@
   mod_del_cmd(&globops_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/m_testline.c
===================================================================
--- modules/m_testline.c	(.../1.0.1)	(revision 183)
+++ modules/m_testline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_testline.c 808 2006-09-03 18:58:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_testline.c 808 2006-09-03 18:58:00Z michael $
  */
 
 #include "stdinc.h"
@@ -68,7 +69,7 @@
   mod_del_cmd(&testgecos_msgtab);
 }
  
-const char *_version = "$Revision: 808 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_testline()

Index: modules/m_whois.c
===================================================================
--- modules/m_whois.c	(.../1.0.1)	(revision 183)
+++ modules/m_whois.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_whois.c 660 2006-06-09 18:51:22Z adx $
+ *  $Id$
+ *  $Hybrid: m_whois.c 660 2006-06-09 18:51:22Z adx $
  */
 
 #include "stdinc.h"
@@ -59,7 +60,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 660 $";
+const char *_version = "$Revision$";
 static struct Callback *whois_cb;
 
 static void *
@@ -373,7 +374,7 @@
     ms = lp->data;
     chptr = ms->chptr;
 
-    if (ShowChannel(source_p, chptr) || IsOperSnoop(source_p))
+    if (ShowChannel(source_p, chptr) || IsSnoop(source_p))
     {
       /* Don't show local channels if user is doing a remote whois */
       if (!MyConnect(source_p) && (chptr->chname[0] == '&'))
@@ -388,7 +389,7 @@
       }
 
       /* Let oper snoops know that they're looking at a secret channel */
-      if (!PubChannel(chptr) && !IsMember(source_p, chptr) && IsOperSnoop(source_p))
+      if (!PubChannel(chptr) && !IsMember(source_p, chptr) && IsSnoop(source_p))
       {
         tlen = ircsprintf(t, "*");
         t += tlen;

Index: modules/core/m_quit.c
===================================================================
--- modules/core/m_quit.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_quit.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_quit.c 465 2006-02-13 14:19:25Z adx $
+ *  $Id$
+ *  $Hybrid: m_quit.c 465 2006-02-13 14:19:25Z adx $
  */
 
 #include "stdinc.h"
@@ -55,7 +56,7 @@
   mod_del_cmd(&quit_msgtab);
 }
 
-const char *_version = "$Revision: 465 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/core/m_sjoin.c
===================================================================
--- modules/core/m_sjoin.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_sjoin.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_sjoin.c 632 2006-06-01 10:53:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_sjoin.c 632 2006-06-01 10:53:00Z michael $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&sjoin_msgtab);
 }
 
-const char *_version = "$Revision: 632 $";
+const char *_version = "$Revision$";
 #endif
 
 static char modebuf[MODEBUFLEN];

Index: modules/core/m_message.c
===================================================================
--- modules/core/m_message.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_message.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_message.c 666 2006-06-10 23:35:38Z stu $
+ *  $Id$
+ *  $Hybrid: m_message.c 666 2006-06-10 23:35:38Z stu $
  */
 
 #include "stdinc.h"
@@ -125,7 +126,7 @@
   mod_del_cmd(&notice_msgtab);
 }
 
-const char *_version = "$Revision: 666 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/core/m_mode.c
===================================================================
--- modules/core/m_mode.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_mode.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_mode.c 848 2007-02-19 17:22:44Z db $
+ *  $Id$
+ *  $Hybrid: m_mode.c 848 2007-02-19 17:22:44Z db $
  */
 
 #include "stdinc.h"
@@ -79,7 +80,7 @@
   mod_del_cmd(&bmask_msgtab);
 }
 
-const char *_version = "$Revision: 848 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/core/m_nick.c
===================================================================
--- modules/core/m_nick.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_nick.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_nick.c 706 2006-07-02 11:25:55Z michael $
+ *  $Id$
+ *  $Hybrid: m_nick.c 706 2006-07-02 11:25:55Z michael $
  */
 
 #include "stdinc.h"
@@ -93,7 +94,7 @@
   mod_del_cmd(&uid_msgtab);
 }
 
-const char *_version = "$Revision: 706 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mr_nick()
@@ -200,6 +201,7 @@
 {
   char nick[NICKLEN];
   struct Client *target_p;
+  dlink_node *ptr = NULL;   /* for enumerating channels */
 
   if (parc < 2 || EmptyString(parv[1]))
   {
@@ -232,6 +234,20 @@
     return;
   }
 
+  /* prevent nick changes if the user is banned on any channel they're on */
+  if (!IsOper(source_p) && source_p->channel.head)
+  {
+    DLINK_FOREACH(ptr, source_p->channel.head)
+    {
+      struct Membership *ms = ptr->data;
+
+      if (! can_send(ms->chptr, source_p, ms))
+      {
+        return;
+      }
+    }
+  }
+
   if ((target_p = find_client(nick)))
   {
     /* If(target_p == source_p) the client is changing nicks between

Index: modules/core/m_squit.c
===================================================================
--- modules/core/m_squit.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_squit.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_squit.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_squit.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -60,7 +61,7 @@
   mod_del_cmd(&squit_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_squit - SQUIT message handler

Index: modules/core/m_part.c
===================================================================
--- modules/core/m_part.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_part.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_part.c 454 2006-02-12 19:01:25Z michael $
+ *  $Id$
+ *  $Hybrid: m_part.c 454 2006-02-12 19:01:25Z michael $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&part_msgtab);
 }
 
-const char *_version = "$Revision: 454 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/core/m_server.c
===================================================================
--- modules/core/m_server.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_server.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_server.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_server.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -77,7 +78,7 @@
   mod_del_cmd(&sid_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/core/m_kill.c
===================================================================
--- modules/core/m_kill.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_kill.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kill.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_kill.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -65,7 +66,7 @@
   mod_del_cmd(&kill_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_kill()

Index: modules/core/m_join.c
===================================================================
--- modules/core/m_join.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_join.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_join.c 855 2007-02-26 22:06:45Z db $
+ *  $Id$
+ *  $Hybrid: m_join.c 855 2007-02-26 22:06:45Z db $
  */
 
 #include "stdinc.h"
@@ -74,7 +75,7 @@
   mod_del_cmd(&join_msgtab);
 }
 
-const char *_version = "$Revision: 855 $";
+const char *_version = "$Revision$";
 #endif
 
 /* last0() stolen from ircu */

Index: modules/core/m_die.c
===================================================================
--- modules/core/m_die.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_die.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_die.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_die.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&die_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/core/m_kick.c
===================================================================
--- modules/core/m_kick.c	(.../1.0.1)	(revision 183)
+++ modules/core/m_kick.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kick.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_kick.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -61,7 +62,7 @@
   mod_del_cmd(&kick_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* m_kick()

Index: modules/m_testmask.c
===================================================================
--- modules/m_testmask.c	(.../1.0.1)	(revision 183)
+++ modules/m_testmask.c	(.../1.0.2)	(revision 183)
@@ -29,7 +29,8 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_testmask.c 816 2006-09-10 17:38:08Z michael $
+ *  $Id$
+ *  $Hybrid: m_testmask.c 816 2006-09-10 17:38:08Z michael $
  */
 
 #include "stdinc.h"
@@ -68,7 +69,7 @@
   mod_del_cmd(&testmask_msgtab);
 }
  
-const char *_version = "$Revision: 816 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_testmask()

Index: modules/m_who.c
===================================================================
--- modules/m_who.c	(.../1.0.1)	(revision 183)
+++ modules/m_who.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_who.c 313 2005-12-23 10:55:47Z michael $
+ *  $Id$
+ *  $Hybrid: m_who.c 313 2005-12-23 10:55:47Z michael $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -64,7 +65,7 @@
   mod_del_cmd(&who_msgtab);
 }
 
-const char *_version = "$Revision: 313 $";
+const char *_version = "$Revision$";
 #endif
 
 static void who_global(struct Client *source_p, char *mask, int server_oper);
@@ -329,7 +330,7 @@
     ms = ptr->data;
     target_p = ms->client_p;
 
-    if (member || !IsInvisible(target_p) || IsOperSnoop(source_p))
+    if (member || !IsInvisible(target_p) || IsSnoop(source_p))
     {
       if (server_oper && !IsOper(target_p))
         continue;

Index: modules/m_cap.c
===================================================================
--- modules/m_cap.c	(.../1.0.1)	(revision 183)
+++ modules/m_cap.c	(.../1.0.2)	(revision 183)
@@ -19,12 +19,14 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_cap.c 575 2006-05-01 11:41:09Z michael $
+ *  $Id$
+ *  $Hybrid: m_cap.c 575 2006-05-01 11:41:09Z michael $
  */
 
 /** @file
  * @brief Capability negotiation commands
- * @version $Id: m_cap.c 575 2006-05-01 11:41:09Z michael $
+ * @version $Id$
+ * @version $Hybrid: m_cap.c 575 2006-05-01 11:41:09Z michael $
  */
 
 #include "stdinc.h"
@@ -64,7 +66,7 @@
   mod_del_cmd(&cap_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 #define CAPFL_HIDDEN    0x0001  /**< Do not advertize this capability */

Index: modules/m_pass.c
===================================================================
--- modules/m_pass.c	(.../1.0.1)	(revision 183)
+++ modules/m_pass.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_pass.c 573 2006-05-01 09:40:37Z michael $
+ *  $Id$
+ *  $Hybrid: m_pass.c 573 2006-05-01 09:40:37Z michael $
  */
 
 #include "stdinc.h"
@@ -55,7 +56,7 @@
   mod_del_cmd(&pass_msgtab);
 }
 
-const char *_version = "$Revision: 573 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_rehash.c
===================================================================
--- modules/m_rehash.c	(.../1.0.1)	(revision 183)
+++ modules/m_rehash.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_rehash.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_rehash.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -58,7 +59,7 @@
   mod_del_cmd(&rehash_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_webirc.c
===================================================================
--- modules/m_webirc.c	(.../1.0.1)	(revision 183)
+++ modules/m_webirc.c	(.../1.0.2)	(revision 183)
@@ -20,6 +20,7 @@
  *  USA
  *
  *  $Id$
+ *  $Hybrid: m_webirc.c 121 2008-04-02 03:17:02Z srees $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&webirc_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_llnick.c
===================================================================
--- modules/m_llnick.c	(.../1.0.1)	(revision 183)
+++ modules/m_llnick.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_llnick.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_llnick.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -60,7 +61,7 @@
   mod_del_cmd(&llnick_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 /*
  * m_llnick

